# NutritionOrder read

`GET /NutritionOrder/{id}`

This resource contains a request to provide a diet, formula feeding, or nutritional supplement to a patient or resident.

Nutrition orders may include one or more of the following, depending on the organization and the patient’s care plan:

- <u>Oral diets</u>: Diet types, textures, or fluid consistencies for food taken by mouth (e.g., a sodium-restricted or pureed diet).
- <u>Oral nutritional supplements</u>: Products taken by mouth in addition to a diet (e.g., protein shakes).
- <u>Enteral formulas</u>: Formula feedings delivered through a tube, including administration rate, schedule, and any additives.

Nutrition orders may also contain a patient’s food allergies, intolerances, or food preferences (e.g., vegetarian or kosher) to help care teams prepare appropriate meals.

You can review or search for nutrition order details.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `NutritionOrder` resource with details about a patient’s diet order, including diet type, food texture, instructions, and notes.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | NutritionOrder identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/NutritionOrder/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The NutritionOrder

A profile on the NutritionOrder resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: NutritionOrder |
| `status` | string | Yes | The workflow status of the nutrition order/request. Possible values: draft, active, on-hold, revoked, completed, entered-in-error, unknown |
| `intent` | string | Yes | Indicates the level of authority/intentionality associated with the nutrition order and where the request fits into the workflow chain. Possible values: proposal, plan, directive, order, original-order, reflex-order, filler-order, instance-order, option |
| `patient` | object | Yes | The patient who receives the diet. Must be a resource of type `Patient`. |
| `patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dateTime` | string | Yes | The date and time that this nutrition order was requested. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `oralDiet` | object | No | Diet given orally in contrast to enteral (tube) feeding. |
| `oralDiet.type` | Array of object | No | The kind of diet or dietary restriction such as fiber restricted diet or diabetic diet. |
| `oralDiet.type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `oralDiet.type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `oralDiet.type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `oralDiet.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `oralDiet.texture` | Array of object | No | Class that describes any texture modifications required for the patient to safely consume various types of solid foods. |
| `oralDiet.texture[].modifier` | object | No | Any texture modifications (for solid foods) that should be made, e.g. easy to chew, chopped, ground, and pureed. |
| `oralDiet.texture[].modifier.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `oralDiet.texture[].modifier.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `oralDiet.texture[].modifier.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `oralDiet.texture[].modifier.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `oralDiet.instruction` | string | No | Free text or additional instructions or information pertaining to the oral diet. |
| `note` | Array of object | No | Comments made about the nutrition order by the requester, performer, subject, or other participants. |
| `note[].text` | string | Yes | The text of the annotation in markdown format. |

#### Low sodium diet order

```json
{
  "resourceType": "NutritionOrder",
  "id": "RedoxNutritionOrderExampleLowSodium",
  "status": "active",
  "intent": "order",
  "patient": {
    "reference": "Patient/RedoxPatientExampleTimothy",
    "display": "Timothy Bixby"
  },
  "dateTime": "2026-11-03T14:35:00Z",
  "oralDiet": {
    "type": [
      {
        "coding": [
          {
            "code": "386619000",
            "system": "http://snomed.info/sct",
            "display": "Low sodium diet"
          }
        ],
        "text": "Low sodium diet"
      }
    ],
    "instruction": "2 GRAM SODIUM DIET"
  },
  "note": [
    {
      "text": "Limit sodium to 2 grams per day."
    }
  ]
}
```

#### Vegetarian diet order

```json
{
  "resourceType": "NutritionOrder",
  "id": "RedoxNutritionOrderExampleOralDiet",
  "status": "active",
  "intent": "order",
  "patient": {
    "reference": "Patient/RedoxPatientExampleTimothy",
    "display": "Timothy Bixby"
  },
  "dateTime": "2026-11-03T14:30:00Z",
  "oralDiet": {
    "type": [
      {
        "coding": [
          {
            "code": "3",
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.10.798268.34365",
            "display": "Vegetarian"
          }
        ],
        "text": "Vegetarian"
      }
    ],
    "texture": [
      {
        "modifier": {
          "coding": [
            {
              "code": "15",
              "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.10.798268.34442",
              "display": "Solid"
            }
          ],
          "text": "Solid"
        }
      }
    ],
    "instruction": "GENERAL DIET PLAN"
  }
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
